Browse Source

Merge "[ci] Clean ignored warnings as some libs pushed fixes"

tags/2.0.0
Zuul 3 months ago
committed by Gerrit Code Review
parent
commit
011fb58886
1 changed files with 5 additions and 10 deletions
  1. +5
    -10
      tox.ini

+ 5
- 10
tox.ini View File

@@ -117,18 +117,13 @@ commands = {toxinidir}/tests/ci/rally_self_job.sh {toxinidir}/rally-jobs/self-ra
[pytest]
filterwarnings =
error
ignore:.*EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade*:
# instead of ignoring all modules, let's list only libraries that are failing
ignore:invalid escape sequence:DeprecationWarning:.*netaddr.*
ignore:invalid escape sequence:DeprecationWarning:.*prettytable
ignore:invalid escape sequence:DeprecationWarning:.*subunit.*
ignore:invalid escape sequence:DeprecationWarning:.*testtools.*
# new to rally-openstack
ignore:Using or importing the ABCs:DeprecationWarning:unittest2.*
ignore:::.*netaddr.strategy.*
ignore:Using or importing the ABCs:DeprecationWarning:.*oslo_context.*
ignore:the imp module is deprecated in favour of importlib.*:DeprecationWarning
# should be fixed soon
# should be fixed soon (raised by functional job)
ignore:Module rally_openstack.credential is deprecated.*:
# python 3.7
ignore:Using or importing the ABCs:DeprecationWarning:unittest2.*
# python 3.8
ignore:::.*netaddr.strategy.*
# should be fixed at rally framework (raised by functional job)
ignore:.*EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade*:

Loading…
Cancel
Save